export const site = {
  title: "MUSUBii",
  description:
    "MUSUBiiは日本語サイトのインブラウザデザインを想定したシンプルで薄味のCSSフレームワークです。",
  url: "https://musubii.qranoko.jp",
  twitter: {
    id: "Qrac_JP",
  },
  copyright: {
    name: "QRANOKO",
    url: "https://qranoko.jp",
    startYear: 2016,
  },
  menu: {
    main: {
      title: "Main",
      items: [
        {
          title: "Docs",
          path: "/docs/",
          externalLink: false,
        },
        {
          title: "Demo",
          path: "/demo/",
          externalLink: true,
        },
        {
          title: "GitHub",
          path: "https://github.com/qrac/musubii",
          externalLink: true,
        },
      ],
    },
    version: {
      title: "Versions",
      items: [
        {
          title: "v7.1.0",
          path: "https://musubii-archive-v7-1-0.netlify.app/",
          externalLink: true,
        },
        {
          title: "v6.6.0",
          path: "https://musubii-archive-v6-6-0.netlify.app/",
          externalLink: true,
        },
      ],
    },
    docs: [
      {
        title: "Guides",
        items: [
          {
            title: "Introduction",
            path: "/docs/",
          },
          {
            title: "Setup",
            path: "/docs/setup",
          },
          {
            title: "Migration",
            path: "/docs/migration",
          },
          {
            title: "Optimize",
            path: "/docs/optimize",
          },
        ],
      },
      {
        title: "Bases",
        items: [
          {
            title: "Theme",
            path: "/docs/theme",
          },
          {
            title: "Font",
            path: "/docs/font",
          },
          {
            title: "Base",
            path: "/docs/base",
          },
        ],
      },
      {
        title: "Layouts",
        items: [
          {
            title: "Section",
            path: "/docs/section",
          },
          {
            title: "Box",
            path: "/docs/box",
          },
          {
            title: "Card",
            path: "/docs/card",
          },
          {
            title: "Grid",
            path: "/docs/grid",
          },
          {
            title: "Joint",
            path: "/docs/joint",
          },
        ],
      },
      {
        title: "Elements",
        items: [
          {
            title: "Text",
            path: "/docs/text",
          },
          {
            title: "Icon",
            path: "/docs/icon",
          },
          {
            title: "Button",
            path: "/docs/button",
          },
          {
            title: "Badge",
            path: "/docs/badge",
          },
          {
            title: "Alert",
            path: "/docs/alert",
          },
          {
            title: "List",
            path: "/docs/list",
          },
          {
            title: "Table",
            path: "/docs/table",
          },
          {
            title: "Form",
            path: "/docs/form",
          },
          {
            title: "iframe",
            path: "/docs/iframe",
          },
          {
            title: "WYSIWYG",
            path: "/docs/wysiwyg",
          },
        ],
      },
      {
        title: "Utilities",
        items: [
          {
            title: "Display",
            path: "/docs/display",
          },
          {
            title: "Flex",
            path: "/docs/flex",
          },
          {
            title: "Float",
            path: "/docs/float",
          },
          {
            title: "Space",
            path: "/docs/space",
          },
          {
            title: "Margin",
            path: "/docs/margin",
          },
          {
            title: "Negative",
            path: "/docs/negative",
          },
          {
            title: "Padding",
            path: "/docs/padding",
          },
          {
            title: "Radius",
            path: "/docs/radius",
          },
          {
            title: "Size",
            path: "/docs/size",
          },
          {
            title: "Overflow",
            path: "/docs/overflow",
          },
        ],
      },
    ],
  },
}
